Package org.apache.tools.ant.taskdefs.email

# Class Header

java.lang.Object
org.apache.tools.ant.taskdefs.email.Header

public class Header extends Object
Class representing a generic key-value header. TODO: This should be moved out of the email package

Since:
  Ant 1.7

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Header()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get the name of this Header.
  `String`
  `getValue()`
  Get the value of this Header.
  `void`
  `setName(String name)`
  Set the name of this Header.
  `void`
  `setValue(String value)`
  Set the value of this Header.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Header

    public Header()

- ## Method Details

  - ### setName

    public void setName(String name)
    Set the name of this Header.
    Parameters:
      `name` - the name to set.

  - ### getName

    public String getName()
    Get the name of this Header.
    Returns:
      name as String.

  - ### setValue

    public void setValue(String value)
    Set the value of this Header.
    Parameters:
      `value` - the value to set.

  - ### getValue

    public String getValue()
    Get the value of this Header.
    Returns:
      value as String.